Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQIconFactory Class Reference

The TQIconFactory class is used to create pixmaps for a TQIconSet. More...

`#include <ntqiconset.h>`

List of all member functions.

## Public Members

- TQIconFactory ()
- virtual ~TQIconFactory ()
- virtual TQPixmap * createPixmap ( const TQIconSet & iconSet, TQIconSet::Size size, TQIconSet::Mode mode, TQIconSet::State state )
- void setAutoDelete ( bool autoDelete )
- bool autoDelete () const

## Static Public Members

- TQIconFactory * defaultFactory ()
- void installDefaultFactory ( TQIconFactory * factory )

## Detailed Description

The TQIconFactory class is used to create pixmaps for a TQIconSet.

By reimplementing createPixmap(), you can override TQIconSet's default algorithm for computing pixmaps not supplied by the user.

Call setAutoDelete(TRUE) if you want the factory to automatically delete itself when it is no longer needed by TQIconSet.

See also TQIconSet and Advanced Widgets.

## Member Function Documentation

### TQIconFactory::TQIconFactory ()

Constructs an icon factory.

### TQIconFactory::~TQIconFactory ()`[virtual]`

Destroys the object and frees any allocated resources.

### bool TQIconFactory::autoDelete () const

Returns TRUE if auto-deletion is enabled; otherwise returns FALSE.

See also setAutoDelete().

### TQPixmap * TQIconFactory::createPixmap ( const TQIconSet & iconSet, TQIconSet::Size size, TQIconSet::Mode mode, TQIconSet::State state )`[virtual]`

Ceates a pixmap for iconSet with a certain size, mode, and state. Returns 0 if the default TQIconSet algorithm should be used to create a pixmap that wasn't supplied by the user.

It is the caller's responsibility to delete the returned pixmap.

The default implementation always returns 0.

### TQIconFactory * TQIconFactory::defaultFactory ()`[static]`

Returns the default icon factory.

See also installDefaultFactory().

### void TQIconFactory::installDefaultFactory ( TQIconFactory * factory )`[static]`

Replaces the default icon factory with factory.

### void TQIconFactory::setAutoDelete ( bool autoDelete )

If autoDelete is TRUE, sets the icon factory to automatically delete itself when it is no longer referenced by any TQIconSet and isn't the default factory. If autoDelete is FALSE (the default) auto-deletion is disabled.

See also autoDelete() and defaultFactory().

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.